Bug 857482 - new rule needed for certmonger to access dogtag 10 ports
new rule needed for certmonger to access dogtag 10 ports
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 10:46 EDT by Ade Lee
Modified: 2012-12-20 11:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:07:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ade Lee 2012-09-14 10:46:21 EDT
Description of problem:

certmonger talks to dogtag on the dogtag ports.  In dogtag 10, though, we will be using standard tomcat ports - which means some new rules are needed to allow this access.

We plan to release dogtag 10 on f18+.  However, many people are testing dogtag 10 on f17 using developer builds, and there is no harm in adding the rule there too.
 
corenet_tcp_connect_http_cache_port(certmonger_t)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2012-09-18 09:29:56 EDT
Fixed in selinux-policy-3.11.1-23.fc18.noarch
Comment 2 Fedora Update System 2012-09-26 00:51:17 EDT
selinux-policy-3.11.1-25.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-25.fc18
Comment 3 Fedora Update System 2012-09-26 17:18:39 EDT
Package selinux-policy-3.11.1-25.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-25.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14807/selinux-policy-3.11.1-25.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:07:41 EST
selinux-policy-3.11.1-25.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.